TagLib::ID3v2::SynchronizedLyricsFrame Class Reference

ID3v2 synchronized lyrics frame. More...

`#include <synchronizedlyricsframe.h>`

Inheritance diagram for TagLib::ID3v2::SynchronizedLyricsFrame:
[legend]
Collaboration diagram for TagLib::ID3v2::SynchronizedLyricsFrame:
[legend]

## Classes

struct | SynchedText

## Public Types

enum | TimestampFormat { Unknown = 0x00 , AbsoluteMpegFrames = 0x01 , AbsoluteMilliseconds = 0x02 }
enum | Type { Other = 0x00 , Lyrics = 0x01 , TextTranscription = 0x02 , Movement = 0x03 , Events = 0x04 , Chord = 0x05 , Trivia = 0x06 , WebpageUrls = 0x07 , ImageUrls = 0x08 }
using | SynchedTextList = TagLib::List<SynchedText>

## Public Member Functions

| SynchronizedLyricsFrame (String::Type encoding=String::Latin1)
| SynchronizedLyricsFrame (const ByteVector &data)
| ~SynchronizedLyricsFrame () override
| SynchronizedLyricsFrame (const SynchronizedLyricsFrame &)=delete
SynchronizedLyricsFrame & | operator= (const SynchronizedLyricsFrame &)=delete
String | toString () const override
String::Type | textEncoding () const
ByteVector | language () const
TimestampFormat | timestampFormat () const
Type | type () const
String | description () const
SynchedTextList | synchedText () const
void | setTextEncoding (String::Type encoding)
void | setLanguage (const ByteVector &languageEncoding)
void | setTimestampFormat (TimestampFormat f)
void | setType (Type t)
void | setDescription (const String &s)
void | setSynchedText (const SynchedTextList &t)
Public Member Functions inherited from TagLib::ID3v2::Frame
virtual | ~Frame ()
| Frame (const Frame &)=delete
Frame & | operator= (const Frame &)=delete
ByteVector | frameID () const
unsigned int | size () const
unsigned int | headerSize () const
void | setData (const ByteVector &data)
virtual void | setText (const String &text)
virtual StringList | toStringList () const
ByteVector | render () const
Header * | header () const

## Protected Member Functions

void | parseFields (const ByteVector &data) override
ByteVector | renderFields () const override
Protected Member Functions inherited from TagLib::ID3v2::Frame
| Frame (const ByteVector &data)
| Frame (Header *h)
void | setHeader (Header *h, bool deleteCurrent=true)
void | parse (const ByteVector &data)
ByteVector | fieldData (const ByteVector &frameData) const
String | readStringField (const ByteVector &data, String::Type encoding, int *position=nullptr)
String::Type | checkTextEncoding (const StringList &fields, String::Type encoding) const
virtual PropertyMap | asProperties () const

## Friends

class | FrameFactory

## Additional Inherited Members

Static Public Member Functions inherited from TagLib::ID3v2::Frame
static ByteVector | textDelimiter (String::Type t)
static ByteVector | keyToFrameID (const String &)
static String | frameIDToKey (const ByteVector &)
Static Public Attributes inherited from TagLib::ID3v2::Frame
static const String | instrumentPrefix
static const String | commentPrefix
static const String | lyricsPrefix
static const String | urlPrefix
Static Protected Member Functions inherited from TagLib::ID3v2::Frame
static void | splitProperties (const PropertyMap &original, PropertyMap &singleFrameProperties, PropertyMap &tiplProperties, PropertyMap &tmclProperties)

## Detailed Description

ID3v2 synchronized lyrics frame.

An implementation of ID3v2 synchronized lyrics.

## Member Typedef Documentation

## SynchedTextList

using TagLib::ID3v2::SynchronizedLyricsFrame::SynchedTextList = TagLib::List<SynchedText>

List of synchronized lyrics.

## Member Enumeration Documentation

## TimestampFormat

enum TagLib::ID3v2::SynchronizedLyricsFrame::TimestampFormat

Specifies the timestamp format used.

Enumerator
Unknown | The timestamp is of unknown format.
AbsoluteMpegFrames | The timestamp represents the number of MPEG frames since the beginning of the audio stream.
AbsoluteMilliseconds | The timestamp represents the number of milliseconds since the beginning of the audio stream.

## Type

enum TagLib::ID3v2::SynchronizedLyricsFrame::Type

Specifies the type of text contained.

Enumerator
Other | The text is some other type of text.
Lyrics | The text contains lyrical data.
TextTranscription | The text contains a transcription.
Movement | The text lists the movements in the piece.
Events | The text describes events that occur.
Chord | The text contains chord changes that occur in the music.
Trivia | The text contains trivia or "pop up" information about the media.
WebpageUrls | The text contains URLs for relevant webpages.
ImageUrls | The text contains URLs for relevant images.

## Constructor & Destructor Documentation

## SynchronizedLyricsFrame() [1/3]

TagLib::ID3v2::SynchronizedLyricsFrame::SynchronizedLyricsFrame | ( | String::Type | encoding = String::Latin1 | ) |

explicit

Construct an empty synchronized lyrics frame that will use the text encoding encoding.

References TagLib::String::Latin1.

Referenced by operator=(), renderFields(), and SynchronizedLyricsFrame().

## SynchronizedLyricsFrame() [2/3]

TagLib::ID3v2::SynchronizedLyricsFrame::SynchronizedLyricsFrame | ( | const ByteVector & | data | ) |

explicit

Construct a synchronized lyrics frame based on the data in data.

## ~SynchronizedLyricsFrame()

TagLib::ID3v2::SynchronizedLyricsFrame::~SynchronizedLyricsFrame | ( |  | ) |

override

Destroys this SynchronizedLyricsFrame instance.

## SynchronizedLyricsFrame() [3/3]

TagLib::ID3v2::SynchronizedLyricsFrame::SynchronizedLyricsFrame | ( | const SynchronizedLyricsFrame & |  | ) |

delete

References SynchronizedLyricsFrame().

## Member Function Documentation

## description()

String TagLib::ID3v2::SynchronizedLyricsFrame::description | ( |  | ) | const

Returns the description of this synchronized lyrics frame.

Note
  Most taggers simply ignore this value.

See also
  setDescription()

## language()

ByteVector TagLib::ID3v2::SynchronizedLyricsFrame::language | ( |  | ) | const

Returns the language encoding as a 3 byte encoding as specified by ISO-639-2.

Note
  Most taggers simply ignore this value.

See also
  setLanguage()

## operator=()

SynchronizedLyricsFrame & TagLib::ID3v2::SynchronizedLyricsFrame::operator= | ( | const SynchronizedLyricsFrame & |  | ) |

delete

References SynchronizedLyricsFrame().

## parseFields()

void TagLib::ID3v2::SynchronizedLyricsFrame::parseFields | ( | const ByteVector & | data | ) |

override protected virtual

Called by parse() to parse the field data. It makes this information available through the public API. This must be overridden by the subclasses.

Implements TagLib::ID3v2::Frame.

## renderFields()

ByteVector TagLib::ID3v2::SynchronizedLyricsFrame::renderFields | ( |  | ) | const

override protected virtual

Render the field data back to a binary format in a ByteVector. This must be overridden by subclasses.

Implements TagLib::ID3v2::Frame.

References SynchronizedLyricsFrame(), and TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## setDescription()

void TagLib::ID3v2::SynchronizedLyricsFrame::setDescription | ( | const String & | s | ) |

Sets the description of the synchronized lyrics frame to s.

See also
  description()

## setLanguage()

void TagLib::ID3v2::SynchronizedLyricsFrame::setLanguage | ( | const ByteVector & | languageEncoding | ) |

Set the language using the 3 byte language code from ISO-639-2 to languageEncoding.

See also
  language()

## setSynchedText()

void TagLib::ID3v2::SynchronizedLyricsFrame::setSynchedText | ( | const SynchedTextList & | t | ) |

Sets the text with the time stamps.

See also
  text()

## setTextEncoding()

void TagLib::ID3v2::SynchronizedLyricsFrame::setTextEncoding | ( | String::Type | encoding | ) |

Sets the text encoding to be used when rendering this frame to encoding.

See also
  textEncoding()
  render()

## setTimestampFormat()

void TagLib::ID3v2::SynchronizedLyricsFrame::setTimestampFormat | ( | TimestampFormat | f | ) |

Set the timestamp format.

See also
  timestampFormat()

## setType()

void TagLib::ID3v2::SynchronizedLyricsFrame::setType | ( | Type | t | ) |

Set the type of text contained.

See also
  type()

## synchedText()

SynchedTextList TagLib::ID3v2::SynchronizedLyricsFrame::synchedText | ( |  | ) | const

Returns the text with the time stamps.

## textEncoding()

String::Type TagLib::ID3v2::SynchronizedLyricsFrame::textEncoding | ( |  | ) | const

Returns the text encoding that will be used in rendering this frame. This defaults to the type that was either specified in the constructor or read from the frame when parsed.

See also
  setTextEncoding()
  render()

## timestampFormat()

TimestampFormat TagLib::ID3v2::SynchronizedLyricsFrame::timestampFormat | ( |  | ) | const

Returns the timestamp format.

## toString()

String TagLib::ID3v2::SynchronizedLyricsFrame::toString | ( |  | ) | const

override virtual

Returns the description of this synchronized lyrics frame.

See also
  description()

Implements TagLib::ID3v2::Frame.

## type()

Type TagLib::ID3v2::SynchronizedLyricsFrame::type | ( |  | ) | const

Returns the type of text contained.

## Friends And Related Symbol Documentation

## FrameFactory

friend class FrameFactory

friend

References FrameFactory.

Referenced by FrameFactory.

The documentation for this class was generated from the following file:

- synchronizedlyricsframe.h